Page MenuHomePhabricator

Client term access in user language should track all labels/ descriptions as being used on multilingual wikis
Closed, ResolvedPublic

Description

On multilingual Wikis mw.wikibase.label and similar functionality ({{#statements:…}}, …) will show the label in the user's language, if possible. Due to this different label usages (L.lang) will be registered for a page depending on who visited it since it was last touched (see https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/docs/usagetracking.wiki for details about why this is).

All labels are potentially relevant (as they can be used depending on the user's language) for the page and changes to any single one of these can affect the rendering of the page for certain users.

Due to this, we should track all labels as used in this case:
This will make the entity usages for a page more stable and not depend on who has visited a page since it was last touched (as much).
For performance reasons and completeness, we want to track such a thing as L (without modifier).

Event Timeline

hoo created this task.Aug 12 2017, 4:25 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 12 2017, 4:25 PM
hoo added a comment.Aug 13 2017, 8:04 PM

I think we all agree that this should be done, so I will change this task towards actually doing this!

hoo added a comment.Aug 13 2017, 8:04 PM

I think we all agree that this should be done, so I will change this task towards actually doing this!

hoo updated the task description. (Show Details)Aug 13 2017, 8:05 PM
hoo renamed this task from Should client term access in user language track all labels as being used on multilingual wikis? to Client term access in user language should track all labels as being used on multilingual wikis.Aug 14 2017, 2:40 PM

Change 382326 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Track all label/description languages as used on multilingual wikis

https://gerrit.wikimedia.org/r/382326

hoo renamed this task from Client term access in user language should track all labels as being used on multilingual wikis to Client term access in user language should track all labels/ descriptions as being used on multilingual wikis.Oct 4 2017, 11:41 PM
hoo moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
hoo updated the task description. (Show Details)Oct 5 2017, 12:11 AM

Change 382456 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Rename domain-specific "allow…" variables to "trackUsagesInAllLanguages"

https://gerrit.wikimedia.org/r/382456

Change 382326 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Track all label/description languages as used on multilingual wikis

https://gerrit.wikimedia.org/r/382326

hoo closed this task as Resolved.Oct 5 2017, 6:32 PM
hoo claimed this task.
hoo moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
hoo removed a project: Patch-For-Review.

Change 382456 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename domain-specific "allow…" variables to "trackUsagesInAllLanguages"

https://gerrit.wikimedia.org/r/382456